%define anolis_release 2

Summary: X.Org X11 libXt runtime library
Name: libXt
Version: 1.3.0
Release: %{anolis_release}%{?dist}
License: MIT
URL: https://www.x.org
Source0: https://www.x.org/releases/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(kbproto)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xorg-macros) >= 1.16
BuildRequires: pkgconfig(xproto)

Requires: libX11 >= 1.6

%description
X.Org X11 libXt runtime library

%package devel
Summary: X.Org X11 libXt development package
Requires: %{name} = %{EVR}

%description devel
X.Org X11 libXt development package

%prep
%autosetup -p1 -n %{name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --disable-static \
  --with-xfile-search-path="%{_sysconfdir}/X11/%%L/%%T/%%N%%C%%S:%{_sysconfdir}/X11/%%l/%%T/\%%N%%C%%S:%{_sysconfdir}/X11/%%T/%%N%%C%%S:%{_sysconfdir}/X11/%%L/%%T/%%N%%S:%{_sysconfdir}/X\11/%%l/%%T/%%N%%S:%{_sysconfdir}/X11/%%T/%%N%%S:%{_datadir}/X11/%%L/%%T/%%N%%C%%S:%{_datadir}/X1\1/%%l/%%T/%%N%%C%%S:%{_datadir}/X11/%%T/%%N%%C%%S:%{_datadir}/X11/%%L/%%T/%%N%%S:%{_datadir}/X11/%%\l/%%T/%%N%%S:%{_datadir}/X11/%%T/%%N%%S"

%make_build

%install
%make_install
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libXt.so.6
%{_libdir}/libXt.so.6.*
%{abidir}/libXt.dump
%dir %{_datadir}/X11/app-defaults

%files devel
%{_docdir}/%{name}/*.xml
%{_includedir}/X11/*.h
%{_libdir}/libXt.so
%{_libdir}/pkgconfig/xt.pc
%{_mandir}/man3/*.3*

%changelog
* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.3.0-2
- optimize spec

* Mon Apr 10 2023 Funda Wang <fundawang@yeah.net> - 1.3.0-1
- New version 1.3.0

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.1-2
- optimise spec file

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.1-1
- Init from upstream version 1.2.1

